package com.elitesland.metadata.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <pre>作用说明</pre>
 *
 * @author mir
 * @date 11/21/2020 12:35 PM
 */
@Data
@ApiModel("元数据-表定义")
public class MetaTableVO implements Serializable {

    private static final long serialVersionUID = -2156569273578869209L;

    @ApiModelProperty("记录ID")
    Long id;

    @ApiModelProperty(value = "表编码")
    String tableCode;

    @ApiModelProperty(value = "表名称")
    String tableName;
}
