package com.elitesland.system.convert;

import com.elitesland.system.entity.SysNumberRuleDtlDO;
import com.elitesland.system.vo.SysNumberRuleDtlVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * <pre></pre>
 * @author mir
 * @date 2020-10-11
 */
@Mapper
public interface SysNumberRuleDtlConvert {

    SysNumberRuleDtlConvert INSTANCE = Mappers.getMapper(SysNumberRuleDtlConvert.class);

    /**
     * DO到VO的转换
     * @param ruleDtl DO对象
     * @return VO对象
     */
    SysNumberRuleDtlVO doToVO(SysNumberRuleDtlDO  ruleDtl);

    /**
     * VO到DO的转换
     * @param ruleDtl VO对象
     * @return DO对象
     */
    SysNumberRuleDtlDO voToDO(SysNumberRuleDtlVO ruleDtl);
}
